# Changelog

## 2024-06-23 - 1.3.4 - fix(aidocs_classes)
Fix changelog formatting issue in commit class
- Adjusted formatting in the template for the changelog in `commit.ts`.
- Ensured proper line spacing for readability and consistency.


## 2024-06-23 - 1.3.3 - fix(aidocs_classes)
Fix minor bugs and update dependencies in aidocs_classes
- Fixed typo in INextCommitObject interface within the aidocs_classes.
- Updated date format in changelog generation from European format to hyphened sortable format.
- Updated @push.rocks/smartgit dependency from version 3.0.4 to 3.1.0.
- Updated typedoc dependency from version 0.26.0 to 0.26.1.
- Improved commit message generation by adding handling for empty diffs and updating changelog instructions.


## 23.06.2024 - 1.3.2 - fix(aidocs_classes)
Fix typo in INextCommitObject interface and update date format in changelog generation.
- Corrected typo in INextCommitObject interface within the aidocs_classes directory.
- Updated date format in changelog generation from European format to hyphened sortable format.

## 2023-xx-xx - 1.3.1 - aidocs_classes
Fix typo in INextCommitObject interface
- Corrected a minor typo in the INextCommitObject interface for consistency.

## 2023-xx-xx - 1.3.0 - core
Added smarttime dependency and improved changelog generation
- Introduced smarttime dependency to the core module.
- Enhanced changelog generation to be more efficient.

## 2023-xx-xx - 1.2.4 - logging
Refactor logger initialization to use commitinfo data
- Logger initialization now utilizes commitinfo data for better context and accuracy.

## 2023-xx-xx - 1.2.3 - aidocs
Fix bug in AiDoc class causing undefined token handling
- Resolved an issue in the AiDoc class where undefined tokens were not being handled correctly.

## 2023-xx-xx - 1.2.1 - core
Fixed usage of plugins in project context and readme generation
- Improved the usage of plugins within the project context.
- Fixed issues related to README.md generation.

## 2023-xx-xx - 1.2.0 - aidocs_classes
Enhance changelog generation by supporting complete generation in the absence of previous changelog files
- Updated changelog generation to support complete generation even when previous changelog files are absent.

## 2023-xx-xx - 1.1.42 - aidoc_classes
Improve commit message generation by handling empty diffs and updating changelog instructions
- Enhanced commit message generation to handle empty diffs.
- Updated instructions for changelog generation for better clarity.


